org.kie.api.task.model

## Interface TaskData

- All Superinterfaces:
    Externalizable, Serializable

      public interface TaskData
      extends Externalizable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getActivationTime()`
    `User` | `getActualOwner()`
    `List<Attachment>` | `getAttachments()`
    `List<Comment>` | `getComments()`
    `User` | `getCreatedBy()`
    `Date` | `getCreatedOn()`
    `String` | `getDeploymentId()`
    `long` | `getDocumentContentId()`
    `String` | `getDocumentType()`
    `Date` | `getExpirationTime()`
    `long` | `getFaultContentId()`
    `String` | `getFaultName()`
    `String` | `getFaultType()`
    `Long` | `getOutputContentId()`
    `String` | `getOutputType()`
    `long` | `getParentId()`
    `Status` | `getPreviousStatus()`
    `String` | `getProcessId()`
    `long` | `getProcessInstanceId()`
    `long` | `getProcessSessionId()`
    `Status` | `getStatus()`
    `Map<String,Object>` | `getTaskInputVariables()`
    `Map<String,Object>` | `getTaskOutputVariables()`
    `long` | `getWorkItemId()`
    `boolean` | `isSkipable()`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### getStatus

          Status getStatus()

    - #### getPreviousStatus

          Status getPreviousStatus()

    - #### getActualOwner

          User getActualOwner()

    - #### getCreatedBy

          User getCreatedBy()

    - #### getCreatedOn

          Date getCreatedOn()

    - #### getActivationTime

          Date getActivationTime()

    - #### getExpirationTime

          Date getExpirationTime()

    - #### isSkipable

          boolean isSkipable()

    - #### getWorkItemId

          long getWorkItemId()

    - #### getProcessInstanceId

          long getProcessInstanceId()

    - #### getProcessId

          String getProcessId()

    - #### getDeploymentId

          String getDeploymentId()

    - #### getProcessSessionId

          long getProcessSessionId()

    - #### getDocumentType

          String getDocumentType()

    - #### getDocumentContentId

          long getDocumentContentId()

    - #### getOutputType

          String getOutputType()

    - #### getOutputContentId

          Long getOutputContentId()

    - #### getFaultName

          String getFaultName()

    - #### getFaultType

          String getFaultType()

    - #### getFaultContentId

          long getFaultContentId()

    - #### getComments

          List<Comment> getComments()

    - #### getAttachments

          List<Attachment> getAttachments()

    - #### getParentId

          long getParentId()

    - #### getTaskInputVariables

          Map<String,Object> getTaskInputVariables()

    - #### getTaskOutputVariables

          Map<String,Object> getTaskOutputVariables()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.